package practice2;

import java.io.Serializable;

/**
 * Enum slouzi jen pro definici men
 */
public enum Currency implements Serializable {
    EUR(25.2, "EUR"), USD(19.2, "USD");
    
    public double course;
    public String code;
    Currency(double course, String code) {
    	this.course = course;
    	this.code = code;
    }
    
    public static Currency get(String s) {
    	if(EUR.code.equals(s)) return EUR;
    	else if(USD.code.equals(s)) return USD;
    	else return null;
    }
    
    public double convertTo(double srcAmount, Currency currency) {
    	return srcAmount * this.course / currency.course;
    }
}