<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <style type="text/css">
            label {display: block;}
        </style>
        <title>Konverze měn</title>
    </head>
    <body>
        <h1>Konverze měn</h1>

        <h2>Formulář</h2>
        <%-- data se odesilaji na servlet, ktery provede konverzi pomoci EJB --%>
        <form action="/" method="GET">
            <label>Měna:
                <select name="srcCurrency">
                    <option value="EUR">EUR</option>
                    <option value="USD">USD</option>
                </select>
            </label>
            <label>Částka:
                <input type="text" name="amount">
            </label>
            <label>Převod do měny:
                <select name="dstCurrency">
                    <option value="USD">USD</option>
                    <option value="EUR">EUR</option>
                </select>
            </label>
            <input type="hidden" name="token" value="${token}">
            <input type="hidden" name="tokenName" value="${tokenName}">
            <input type="submit" name="submit" value="Odeslat" >
        </form>

        <%-- tady se vypisuje vysledek konverze - v request scope se ocekava polozka s nazvem amount --%>
        <h2>Výsledek</h2>
        <p>${transaction}</p>

        <%--
            tady se vypisuje historie konverzi - v request scope se ocekava polozka s nazvem history
            POZOR! pokud v request scope polozka neni, dojde k vyjimce, pod nazvem history je v
            session scope ulozena reference na EJB a tu nelze nasledujicim zpusobem iterovat!
        --%>
        <h2>Historie</h2>
        <ul>
            <c:forEach var="item" items="${history}">
                <li>${item}</li>
            </c:forEach>
        </ul>

    </body>
</html>